/profile-report-outcome/

Endpoint to retrieve list of profile report outcomes

For more details, please refer to the API documentation.

Includes optional filtering by report_id and report_type.

Also includes optional sort parameter, allowing reports sorting by health_issue_impact.

health_issue_impact is a combined metric of report risk / outcome_color and report's impact on health, e.g. a report concerning cardiovascular health may show up before a report concerning mental health if they both are high-risk (red) and sort=-health_issue_impact (high to low). Reports are sorted first by color, and then by impact on health within the same color.

Query Params
uuid
required
report_id
array of uuids

Multiple values may be separated by commas.

report_id
report_type
array of strings

Multiple values may be separated by commas.

  • standard - Standard
  • trait - Trait
  • gene - Gene
report_type
Allowed:
string
enum

Ordering

  • health_issue_impact - Health issue impact (low to high)
  • -health_issue_impact - Health issue impact (high to low)
Allowed:
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json